Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706392 - sys-fs/snapraid-11.2 : fails to build with -fno-common or gcc-10
Summary: sys-fs/snapraid-11.2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Piotr Karbowski
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 08:28 UTC by Toralf Förster
Modified: 2020-05-25 20:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.88 KB, text/plain)
2020-01-26 08:28 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,62.46 KB, text/plain)
2020-01-26 08:28 UTC, Toralf Förster
Details
environment (environment,56.64 KB, text/plain)
2020-01-26 08:28 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.64 KB, application/x-bzip)
2020-01-26 08:28 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,11.01 KB, application/x-bzip)
2020-01-26 08:29 UTC, Toralf Förster
Details
sys-fs:snapraid-11.2:20200126-023110.log (sys-fs:snapraid-11.2:20200126-023110.log,73.81 KB, text/plain)
2020-01-26 08:29 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,20.61 KB, application/x-bzip)
2020-01-26 08:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 08:28:49 UTC
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   68 |        __bos (__s), __fmt, __va_arg_pack ());
      |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -fno-omit-frame-pointer -fno-inline-functions-called-once -fno-inline-small-functions -rdynamic -pthread -Wall -Wextra -Wuninitialized -Wshadow  -Wl,-O1 -Wl,--as-needed -o snapraid raid/raid.o raid/check.o raid/module.o raid/tables.o raid/int.o raid/x86.o raid/intz.o raid/x86z.o raid/helper.o raid/memory.o raid/test.o raid/tag.o tommyds/tommy.o cmdline/snapraid.o cmdline/io.o cmdline/util.o cmdline/stream.o cmdline/support.o cmdline/elem.o cmdline/state.o cmdline/scan.o cmdline/sync.o cmdline/check.o cmdline/dry.o cmdline/rehash.o cmdline/scrub.o cmdline/status.o cmdline/dup.o cmdline/list.o cmdline/pool.o cmdline/parity.o cmdline/handle.o cmdline/touch.o cmdline/device.o cmdline/fnmatch.o cmdline/selftest.o cmdline/speed.o cmdline/import.o cmdline/search.o cmdline/mingw.o cmdline/unix.o  -lblkid -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: cmdline/snapraid.o:(.bss+0x64): multiple definition of `exit_success'; tommyds/tommy.o:(.bss+0xc): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: cmdline/snapraid.o:(.bss+0x68): multiple definition of `stdlog'; tommyds/tommy.o:(.bss+0x10): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 01:46:08 +0000

emerge -qpvO sys-fs/snapraid
[ebuild  N    ] sys-fs/snapraid-11.2  USE="-test"
Comment 1 Toralf Förster gentoo-dev 2020-01-26 08:28:51 UTC
Created attachment 604456 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 08:28:54 UTC
Created attachment 604458 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-26 08:28:57 UTC
Created attachment 604460 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-26 08:28:59 UTC
Created attachment 604462 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-26 08:29:02 UTC
Created attachment 604464 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-26 08:29:05 UTC
Created attachment 604466 [details]
sys-fs:snapraid-11.2:20200126-023110.log
Comment 7 Toralf Förster gentoo-dev 2020-01-26 08:29:07 UTC
Created attachment 604468 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-05-25 20:49:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95e912597bd72716724dcc2ebfff3c75a3886e19

commit 95e912597bd72716724dcc2ebfff3c75a3886e19
Author:     Piotr Karbowski <slashbeast@gentoo.org>
AuthorDate: 2020-05-25 20:47:27 +0000
Commit:     Piotr Karbowski <slashbeast@gentoo.org>
CommitDate: 2020-05-25 20:49:02 +0000

    sys-fs/snapraid-11.4: version bump; gcc 10 support.
    
    Closes: https://bugs.gentoo.org/706392
    
    Signed-off-by: Piotr Karbowski <slashbeast@gentoo.org>

 sys-fs/snapraid/Manifest             |  1 +
 sys-fs/snapraid/snapraid-11.4.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+)